Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 6)
@@ -3669,55 +4408,58 @@
         /// 自分以外の一般ユーザーと所属長をチェックする
         /// </summary>
         /// <returns></returns>
-        private bool CheckUserAndLeader()
+        private bool CheckLeaderOrUser()
         {
-            IOConstructionLedger LedgerDB = new IOConstructionLedger();
             IOMPersonInCharge PersonDB = new IOMPersonInCharge();
             try
             {
+                bool bPermit = false;
                 if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement)
                 {
-                    // システム管理者（すべて対象）
-                    return true;
+                    // システム管理者
+                    bPermit = true;
                 }
-                else
+                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
                 {
-                    // 最高機密管理者（すべて対象）・
-                    for (int i = (int)CommonDefine.SysManaDivNo.PresidentAuthority; i <= (int)CommonDefine.SysManaDivNo.SupervisorAuthority; i++)
-                    {
-                        if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[i].Key) return true;
-                    }
+                    // 最高機密管理者
+                    bPermit = true;
                 }
-
-                // 工事詳細台帳データ読込
-                string strSQL = LedgerDB.CreatePrimarykeyString(m_ConstructionCode);
-                ConstructionLedger LedgerRec = new ConstructionLedger();
-                bool bLedger = LedgerDB.SelectAction(strSQL, ref LedgerRec);
-                // 工事詳細台帳データが無い場合は工事情報で確認する
-                if (!bLedger)
+                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key)
                 {
-                    // 工事担当者をデータにセットする
-                    LedgerRec.CreatorCode = m_ConstructionBaseInfo.ConstructionPersonCode;
+                    // 統括責任者
+                    bPermit = true;
                 }
+                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key)
+                {
 
-                int userSecCode = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;
-                // 一般ユーザーはfalse
-                if (CommonMotions.LoginUserData.SecurityManagement == userSecCode)
-                {
-                    return false;
+                    // 上長は工事が自部署の関連だけ
+                    List<int> PersonList = new List<int>();
+                    PersonList.Add(m_ConstructionBaseInfo.SalesPersonCode);
+                    PersonList.Add(m_ConstructionBaseInfo.ConstructionPersonCode);
+                    if (m_ConstructionBaseInfo.ConstrSubPersonCode != 0) PersonList.Add(m_ConstructionBaseInfo.ConstrSubPersonCode);
+                    if (m_ConstructionBaseInfo.ConstructionInstructor != 0) PersonList.Add(m_ConstructionBaseInfo.ConstructionInstructor);
+
+                    foreach (int Personcode in PersonList)
+                    {
+                        string strSQL = PersonDB.CreatePrimarykeyString(Personcode);
+                        PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+                        if (!PersonDB.SelectAction(strSQL, ref PersonRec)) continue;
+
+                        // 所属上長では無ければfalse
+                        if (PersonRec.DepartmentCode == CommonMotions.LoginUserData.DepartmentCode)
+                        {
+                            bPermit = true;
+                            break;
+                        }
+                    }
+
                 }
-                int LeaderSecCode = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key;
-                if (CommonMotions.LoginUserData.SecurityManagement == LeaderSecCode)
+                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
                 {
-                    strSQL = PersonDB.CreatePrimarykeyString(LedgerRec.CreatorCode);
-                    PersonInChargeMaster PersonRec = new PersonInChargeMaster();
-                    if (!PersonDB.SelectAction(strSQL, ref PersonRec)) return false;
-
-                    // 所属上長では無ければfalse
-                    if (PersonRec.DepartmentCode != CommonMotions.LoginUserData.DepartmentCode) return false;
+                    // 一般ユーザー
+                    bPermit = false;
                 }
-
-                return true;
+                return bPermit;
             }
             catch (Exception ex)
             {
@@ -3726,7 +4468,6 @@
             }
             finally
             {
-                LedgerDB.close(); LedgerDB = null;
                 PersonDB.close(); PersonDB = null;
             }
         }
@@ -3755,19 +4496,74 @@
                 PersonInChargeMaster personRec = new PersonInChargeMaster();
                 PersonDB.SelectAction(strSQL, ref personRec);
 
+                // 設定無は空白
+                if (BudgetRec.CreatorCode == 0) return sRet;
+
+                // 残業係数を掛けて月額給与を求める
+                int monthSalary = CommonMotions.cnvRound(personRec.MonthlySalary * (double)CommonDefine.s_SalaryExpenses);
+
                 if (BudgetRec.SalaryFlg == (int)CommonDefine.SalaryDevision.All)
                 {   // ----- 全日振分
                     double BetweenTimes = BudgetRec.ConstructionTimes;
-                    // 給与単価
-                    int monthSalary = CommonMotions.cnvRound(personRec.MonthlySalary * (double)CommonDefine.s_SalaryExpenses);
-                    sRet = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, BetweenTimes.ToString("0.00"), monthSalary.ToString("#,0"));
+                    sRet = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, BetweenTimes, monthSalary.ToString("#,0"));
                 }
                 else if (BudgetRec.SalaryFlg == (int)CommonDefine.SalaryDevision.DaysInput)
                 {   // ----- 日数指定
                     // 日数取得
                     int daycount = BudgetRec.SalaryDays;
+                    // 日額給与取得
+                    double daylySalary = monthSalary / CommonDefine.s_WorkingDaysOfMonth;
+                    sRet = string.Format(CommonDefine.s_SalaryCostDaylyFormat, daycount.ToString("0"), daylySalary.ToString("#,0"));
+                }
+
+                return sRet;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return string.Empty;
+            }
+            finally
+            {
+                BudgetDB.close(); BudgetDB = null;
+                PersonDB.close(); PersonDB = null;
+            }
+        }
+        #endregion
+
+        #region 副担当者給与文字列を作成する
+        /// <summary>
+        /// 副担当者給与文字列を作成する
+        /// </summary>
+        /// <returns></returns>
+        private string MakeAssistantSalaryString()
+        {
+            IOConstructionBudget BudgetDB = new IOConstructionBudget();
+            try
+            {
+                string sRet = string.Empty;
+
+                // 工事予算書データを読み込む
+                string strSQL = BudgetDB.CreatePrimarykeyString(m_ConstructionCode);
+                ConstructionBudget BudgetRec = new ConstructionBudget();
+                if (!BudgetDB.SelectAction(strSQL, ref BudgetRec)) return sRet;
+
+                // 設定無は空白
+                if (BudgetRec.AssistantCode == 0) return sRet;
+
+                if (BudgetRec.A_SalaryFlg == (int)CommonDefine.SalaryDevision.All)
+                {   // ----- 全日振分
+                    double BetweenTimes = BudgetRec.ConstructionTimes;
+                    // 給与単価
+                    int monthSalary = CommonDefine.AssistantMonthryCost;
+                    sRet = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, BetweenTimes, monthSalary.ToString("#,0"));
+                }
+                else if (BudgetRec.A_SalaryFlg == (int)CommonDefine.SalaryDevision.DaysInput)
+                {   // ----- 日数指定
+                    // 日数取得
+                    int daycount = BudgetRec.SalaryDays;
                     // 担当給与
-                    int monthSalary = CommonMotions.cnvRound(personRec.MonthlySalary * (double)CommonDefine.s_SalaryExpenses);
+                    int monthSalary = CommonDefine.AssistantMonthryCost;
                     // 日額給与取得
                     double daylySalary = monthSalary / CommonDefine.s_WorkingDaysOfMonth;
                     sRet = string.Format(CommonDefine.s_SalaryCostDaylyFormat, daycount.ToString("0"), daylySalary.ToString("#,0"));
